#include "xmaterialpixelshaderprogram.h"

XMaterialPixelShaderProgram::XMaterialPixelShaderProgram()
    : XAsset()
    , mPixelShader(nullptr)
    , mLoadDef()
{
    
}

XMaterialPixelShaderProgram::~XMaterialPixelShaderProgram()
{
    delete mPixelShader;
}

void XMaterialPixelShaderProgram::Clear()
{
    mPixelShader->Clear();
    mLoadDef.Clear();
}

void XMaterialPixelShaderProgram::ParseData(QDataStream *aStream)
{

}
